# Demo proxy

This proxy demonstrates the use of the Apigee Cache.

To use it, you should make sure you have a cache called 'cache1'
provisioned in your environment. 

Then, deploy the API Proxy and invoke it like this: 

```
ORG=myorg
ENV=myenv
# populate cache
  curl -i "https://$ORG-$ENV.apigee.net/test-cache/t1?cachekey=a&value=b" -d ''
# retrieve the value
curl -i "https://$ORG-$ENV.apigee.net/test-cache/t1?cachekey=a"
```

You can try different combinations that use different cachekey and value
elements. 

After populating the cache with a value, subsequent retrievals will return the
cached value, until the time of expiry on the cached element. 






